Bug 54260 - HTML5 <details> and <summary>: localized text
: HTML5 <details> and <summary>: localized text
Status: RESOLVED FIXED
: WebKit
Text
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
: HTML5
:
: 51071
  Show dependency treegraph
 
Reported: 2011-02-10 17:27 PST by
Modified: 2011-02-17 10:13 PST (History)


Attachments
patch (23.54 KB, patch)
2011-02-10 17:59 PST, Luiz Agostini
aroben: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-02-10 17:27:18 PST
Specification says that if no <summary> is supplied to a <details> tag then "the user agent should provide its own legend".
This text must be localized.

see http://www.w3.org/TR/html5/interactive-elements.html#the-details-element
------- Comment #1 From 2011-02-10 17:59:38 PST -------
Created an attachment (id=82083) [details]
patch
------- Comment #2 From 2011-02-16 08:40:42 PST -------
(From update of attachment 82083 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=82083&action=review

You should also run Tools/Scripts/update-webkit-localizable-strings to update the Localizable.strings file used by the Mac and Windows ports.

> Source/WebCore/ChangeLog:9
> +        The method summaryDefaultLabel was added to LocalizationStrategy class and to
> +        platform/LocalizedStrings. It is used to provide the default label to be used by a

The name "summaryDefaultLabel" to me sounds like it is "the default label used for a <summary> element". Clearly that is wrong. I also think that "label" is mostly (only?) used to refer to the text inside (or associated with) a button. So maybe "defaultDetailsSummaryText" would be clearer?

> Source/WebKit2/WebProcess/WebCoreSupport/WebPlatformStrategies.h:61
>      virtual String fileButtonNoFileSelectedLabel();
> +    virtual WTF::String summaryDefaultLabel();

Please omit "WTF::" here to match the other functions.
------- Comment #3 From 2011-02-17 10:12:49 PST -------
Committed r78842: <http://trac.webkit.org/changeset/78842>